Subject: Linux-Development Digest #211
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Fri, 23 Sep 94 12:13:18 EDT

Linux-Development Digest #211, Volume #2         Fri, 23 Sep 94 12:13:18 EDT

Contents:
  Re: AX25 & KISS Amateur Radio Protocols in Linux?? (Mark A. Horton KA4YBR)
  Internals Guide to Net? (Christopher Michael Joslyn)
  Re: Linux on CD (Matthias Bruestle)
  Re: AHA1542A and Linux-1.1.50+ are having troubles.. (Bill Davidsen)
  RFD: new moderated newsgroups (Edmund Humenberger)
  Re: 900 MHz CB band??? (Bill Davidsen)
  Re: Shared Libs: working toward a permanent solution? (H.J. Lu)
  ELF-based Linux distribution? [Was: Shared Libs: working toward a permanent solution?] (Dan Connolly)
  Re: RFD: new moderated newsgroups (Laurent Julliard)
  Re: SPARC Linux? (Marc Fraioli)
  Re: How to use a host as a router - READ THIS (Jay Ashworth)
  source for rcs 5.6 (Wai Long Fong)

----------------------------------------------------------------------------

From: [email-masked] (Mark A. Horton KA4YBR)
Subject: Re: AX25 & KISS Amateur Radio Protocols in Linux??
Date: Wed, 21 Sep 1994 12:32:10 GMT

Vassili Leonov ([email-masked]) wrote:
: Rob Janssen ([email-masked]) wrote:

: : Amateur radio is a way for individuals to experiment with radio transmissions,
: : mainly for self-education and research.  The exchange of information is
: The main accent in self-education and research is in the field of
: computing. The radio itself is rather obsolete and is not of much intrest
: and value these days...

        Vassili, I respectfully say "BULLSHIT."  (Couldn't say that on 
        the air!  :)   I suppose you've never wondered about "baudot" have
        you?  Or MASER and LASER research?  Or FM transmissions?  Yes, a lot
        of hams are interested in computers these days... it's natural, but
        most of use got into the hobby because of the more basic interest in
        COMMUNICATIONS in general, regardless of the transmission mode or
        portion of the spectrum utilised.   I shudder to ask your opinion of
        CW.   

: : This is not at all related to "the right for free exchange of information".
: : For that purpose, there is CB radio.  In that area there are no limitations
: Can you build a high speed data network wusing CB? Sure you can't...

        Sure you CAN, Vassili... read up on it a little... it's just another
        part of the spectrum!

: : Ever since the inception of "packet radio" there have been greedy looks
: : from the "networking" people on the amateur radio spectrum.  They see it
: : as a way to carry their traffic without having to pay excessive fees
: : to communications providers.
: Yes! It would be GREAT and would benefit the whole human race, if the
: thing like Internet can be trully free and available to individuals and
: "without having to pay excessive fees" - I think it would be very
: much along the lines under which the HAM radio was founded. It's just
: that there were NO computer networks these days....
: : Amateur radio is not intended for this purpose, and by allowing such
: : use of the spectrum the original identity of amateur radio is lost.  Then
: The original identity of the HAM radio is to be at the frontier and
: benefit the humanity - and free of charge... It's public service -
: running a NON-COMMERCIAL network on top of that is no contradiction.

        And how are you going to insure the NON-COMMERCIAL status of that
        traffic?  Hold every message and personally eyeball it to see if
        it contains any hint of commercialism?  To be legal, that's what
        would be required... otherwise, you can lose your license by 
        merely carrying traffic through your packet node that may have
        a commercial nature... read up on it.. it's already happened!
        I personally don't want to take the risk... I pay $45.00 per 
        month to crl for a uucp link and USENET feed... I don't think 
        that's excessive... sure, I'd like it to be free, but SOMEONE
        has to pay for the hardware, software, and personnel to make it
        all work!  Oh, of course, we can let "the government" do it...
        and everyone pays for it with their taxes, including those who have
        no use or interest in the net... that's not too fair now is it?
        Not to mention that I've never seen a project run by any government
        that could be managed more efficiently and cost-effectively than
        one in a competitive private sector!   

: : it will be ever more difficult to keep the parts of the spectrum that
: : the commercial communications providers are interested in, because they
: : can easily point at this "unfair competition".
: Competition should serve the humanity - not vice verse. Competition
: is just a vehicle - not an aim in itself. In my opinion - commericial
: providers have unfair advantage of being able to use a spectrum - to
: no benefit of mine... If you look at HAM radio you'll see that it's

        WRONG!  A lot of traffic that you enjoy goes through commercial
        providers at some point or another.  Face it, were it not for
        commercial support taking up the slack from the cuts in 
        government funding for the net, we'd all be suffering greatly.
        Or perhaps you LIKE the idea of paying for every message that
        goes through your system?  I don't and would immediately stop
        all the free downstream feeds I have and cut back mine to a very
        few groups instead of the 6000+ that run through here!

: not a technical problem to implement a high speed backbone for a packet
: network, will not take any existing spectrum (how much is spectrum
: above 1GHZ used really - if there is almost no commercial HAM equipement
: on the market for higher then 1.2 GHZ)

        So BUILD it!  That's what the hobby is all about... experimentation,
        fun, etc.... microwave is kinda neat... so's radar, EME, etc.
        Circuits CAN be built, they don't have to come in multi-legged,
        plastic packages that always land pins up on the floor when you
        drop them!

: : So, the limitations on information exchange via amateur radio are a good
: : thing.  Don't view them as censorship, but as the regulations that make
: : amateur radio a possibility.
: Something - "let's thatnk the autorities and big companies that
: they let us mice exist" approach. I don't like this. Internet should be
: free and should be based on the free backbones. HAM radio spectrum is
: good for that. Don't use it for commericial purposes - but Linux is
: a free projet anyway. The main idea is that free software combined
: with a free backbone can really change the world. Sure there are
: always opponets to these kind of things...

        I aggree in theory with your idea of free backbones... it would
        be wonderful if :
                a) your can figure out how to do it for no cost.
                b) you don't steal bandwidth from Amateur Radio... we
                   already lost 11 meters to "public use" and look what
                   that got us!  There are already enough well-funded
                   interests after our spectrum space!  Hell, they've
                   even (supposedly) made it a crime to listen to 800MHz
                   now!  (In direct violation of the 1st ammendment AND
                   the Communications Act of 1934 in the USA at least)

: Vassili.

        What's your call sign, Vassili???

        73, de ka4ybr
--
============================================================
Mark A. Horton       ka4ybr             [email-masked]
P.O. Box 747 Decatur GA US 30031-0747         [email-masked]
+1.404.371.0291                     33 45 31 N / 084 16 59 W

------------------------------

From: [email-masked] (Christopher Michael Joslyn)
Subject: Internals Guide to Net?
Date: Wed, 21 Sep 1994 16:58:33 GMT

After a much exhusted search, I haven't been able to find an internals
guide to the net code in the kernel (i.e., linux/net/inet).  Does anyone
know if such a beast exists?

Thanks.

 - Chris
-- 
----  Purgamentum Init, Exit Purgamentum  ------------------------------------
Christopher M. Joslyn  | Visual Numerics, Inc.   |   "A la fin de l'envoi,
+1 (303) 581-3269      | 6230 Lookout Road       |      je touche!"
[email-masked] | Boulder, CO 80301       |  My opinions are mine!

------------------------------

From: [email-masked] (Matthias Bruestle)
Subject: Re: Linux on CD
Date: Thu, 22 Sep 1994 21:34:53 GMT

Mahlzeit

> What I think (for what it's worth) would be useful would be
> the ability to merge the CD-ROM's directory with the HD's and
> the HD's files would take precedence.  That way if you want to
> make a change or just want the speed of the HD you could copy
> the file(s) to the HD in the same spot (directory and file name).
> Just a vague thought...
Why not put the binary directory of the cd-rom behind the binary
directory of the hd in the path variable?

                                Mahlzeit

-- 
A leap ahead... through insanity.

------------------------------

From: [email-masked] (Bill Davidsen)
Subject: Re: AHA1542A and Linux-1.1.50+ are having troubles..
Date: 21 Sep 1994 17:52:17 -0400

In article <[email-masked]>, Matti Aarnio <[email-masked]> wrote:
:On System:
:       - i486/33 32MB DRAM (ISA)
:       - Adaptec AHA1542A + 600 MB CDC Wren-V disk
:
:When running Linux 1.0.9 there is no trouble, however with
:Linux 1.1.50 and 1.1.51 there appear spodaric data corruption
:on the disk WRITES.

I'm jealous! I never got my 1542A to work at all with Linux on any
version. If this gets fixed I may have to upgrade.
-- 
Speaking *from* but never *for* Prodigy
        "Pain builds moral fiber"  -my dad
        "Pain hurts"  -me

------------------------------

From: [email-masked] (Edmund Humenberger)
Subject: RFD: new moderated newsgroups
Date: 23 Sep 1994 12:45:08 GMT

To build a place where you can get information I suggest
a new group: comp.os.linux.development.moderated

or something like this.

There should be only a limited group of members be allowed
to pst to this group. These members can vote for any
other person to be allowed to post also.
If there is a majority of 30%, the new person can
become member to.
How can somebody become member?
to write good articles in Comp.os.linux.development!!!

then the others will sea and vote for himher.

If there are more votes than 30% of the members to quit
the right of somebody to post, the right will be canceled.

this can be done automaticly: are there some volunteers out
to do  it?

Even if I am not alowed to post. I like to read information.

thanks ed

------------------------------

From: [email-masked] (Bill Davidsen)
Subject: Re: 900 MHz CB band???
Date: 22 Sep 1994 12:45:51 -0400

In article <[email-masked]>,
Vassili Leonov <[email-masked]> wrote:

:To bring it to topic - there is ALPHA version of Linux driver for
:the WaveLan card, designed by NCR, that gives you about 2.5 Kbit/sec
:link as far as you can beam 1Watt at around 910 MHz. This band is
:at least for Spread Spectrum operation, which WaveLan is using.

Is that a typo? Did you mean 2.5 Mbit?? A $700 (more or less) 2400 baud
modem is probably not on everyone's wish list.

:This equipemnt can by used w/o FCC licence by the user - but the
:manufacturer must get certification.
:Vassili.
:p.s. Well - you CAN build a backbone using this stuff. Though they are
:rather expensive - about $700 per card...

If that speed is right, rather s..l..o..w as well ;-)
-- 
Speaking *from* but never *for* Prodigy
        "Pain builds moral fiber"  -my dad
        "Pain hurts"  -me

------------------------------

From: [email-masked] (H.J. Lu)
Subject: Re: Shared Libs: working toward a permanent solution?
Date: 21 Sep 1994 13:51:26 GMT

I have released a complete ELF developement kit for testing. Everything
in it is linked with one or more ELF/PIC libraries. From what I have seen
so far, the speed of ELF/PIC shared library is pretty good. I hope someone
will compile an entire Linux distribution with ELF to see how good/bad
it is. With ELF, you can easily make shared libraries without worrying too
much :-).

FYI, the public release of the Linux C library will contain the ELF
version of the shared libraries.

H.J.

------------------------------

From: [email-masked] (Dan Connolly)
Subject: ELF-based Linux distribution? [Was: Shared Libs: working toward a permanent solution?]
Date: 22 Sep 1994 22:44:09 GMT

In article <[email-masked]> [email-masked] (Eric Youngdale) writes:

           I am not entirely unsympathetic to the complaints about loss of
   performance, but to start with I just want to get vanilla ELF working and
   stable.  Once we reach this point, then performance enhancements can be
   considered (and I do have ideas).  How much trouble I go to depends upon
   how bad the problem really is, and this will become evident as time
   goes on.  Whatever enhancements I make to improve performance will have
   the following properties:

OK... so I gather ELF binaries and shared libraries are a viable
long-term solution to the current shared library foo.

In fact, it looks inevitable to me.

So here's the next question: who will be the first to support a
complete ELF-based Linux distribution? Are any of the major
distributors planning to do this?

I built the Modula-3 runtime libraries using the current shared-library
tools (that's how I got started with this thread), and I can image
that eliminating all that assembly re-writing could dramatically impact
the time it takes to compile a complete Linux distribution. Should
be quite a bit quicker.

So are there significant technical obstacles remaining, or is it
a question of mind-share now?

How many major apps have been built/tested with the ELF tools?

        * Has the X386 team started messing with ELF tools?
                (how do they build shared libs for other BSD-based
                x86 unices like BSD386, NetBSD, FreeBSD, and the like?)

        * How about the apps where nobody touches the source code
                any more, like TeX?

        * I heard emacs excercised some problems with the ELF tools.
                Anyone care to elaborate?

        * How about the networking tools -- are there any interactions?
                Has anyone begun exploring?

From what I have read, the ELF tools are nearly complete. They are
exiting the ALPHA phase, and it's time for major wide-spread BETA
testing. I guess that will take a few months, and then distributors
will start to think seriously about doing an ELF-based distribution...
probably some time before next summer.

Does that sound reasonable?

Dan

-- 
Daniel W. Connolly        "We believe in the interconnectedness of all things"
Software Engineer, Hal Software Systems, OLIAS project   (512) 834-9962 x5010
<[email-masked]>                   http://www.hal.com/%7Econnolly/index.html

------------------------------

From: [email-masked] (Laurent Julliard)
Subject: Re: RFD: new moderated newsgroups
Reply-To: [email-masked]
Date: Fri, 23 Sep 1994 14:33:49 GMT

I second Stephen's opinion. Some guys need a little refresh about the 
Internet philosophy...

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
WHOA!!!! What about the philosophy of openess and non-censorship on 
internet??
I would strenuously OPPOSE such a move. I WILL vote against it!!

[email-masked]
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

Edmund Humenberger ([email-masked]) wrote:
: To build a place where you can get information I suggest
: a new group: comp.os.linux.development.moderated

: or something like this.

: There should be only a limited group of members be allowed
: to pst to this group. These members can vote for any
: other person to be allowed to post also.
: If there is a majority of 30%, the new person can
: become member to.
:

---
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~  Laurent JULLIARD              | email   : [email-masked]      ~
~  Rank Xerox Research Centre    | XNS mail: Laurent Julliard:grenoble:rxrc ~
~  Grenoble Laboratory           | Phone   : (+33) 76 61 50 48              ~
~  6, chemin de Maupertuis       | Fax     : (+33) 76 61 50 99              ~
~  38240 MEYLAN FRANCE           |                                          ~
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

------------------------------

From: [email-masked] (Marc Fraioli)
Subject: Re: SPARC Linux?
Date: 22 Sep 1994 19:30:17 GMT
Reply-To: [email-masked]

In article [email-masked],  [email-masked] (Wolf Paul) writes:
>I seem to remember something about a port of Linux to the SUN Sparc
>architecture.
>
>Can anyone provide details on that?

Some people were discussing it a couple weeks ago, but it doesn't 
actually exist.  The discussion was hypothetical.  There is however,
a version of one of the free BSDs currently in beta on the SPARC.
Ask on, say, comp.sys.sun.misc about it.

---
Marc Fraioli          | "They couldn't hit an elephant at this dist- " 
[email-masked]         |    - Last words of Union General John Sedgwick,
                      |    Battle of Spotsylvania Court House, U.S. Civil War

------------------------------

From: [email-masked] (Jay Ashworth)
Crossposted-To: comp.os.linux.misc,comp.os.linux.admin,alt.uu.comp.os.linux.questions
Subject: Re: How to use a host as a router - READ THIS
Date: 23 Sep 1994 09:12:26 -0400

[email-masked] (Frank van Maarseveen) writes:
>> Destination    Gateway          Netmask       Flags   MSS    iface
>> 127.0.0.1      127.0.0.1        255.0.0.0     UH      1536   lo0
>> 199.245.227.0  199.245.227.254  255.255.255.0 U       1436   eth0
>> default        198.147.221.1    255.255.255.0 U       1436   ppp0

>Why has the loopback route a destination 127.0.0.1 instead of 127.0.0.0
>in accordance with the specified netmask?
>The loopback interface could have IP address 127.0.0.1 and connect to
>a loopback network 127.0.0.0 with netmask 255.0.0.0 (conceptually)

And in practice, people who route the loopback _host_, and people who
route the loopback _network_ seem evenly split.  Perversely, Mmy machine
_says_ it's routing the host, but any host on that net is loopback.  Go
figure...

>About assigning the same IP address to multiple interfaces on the same
>host:
>One could argue that this is "correct" as long as the outer world cannot
>see any difference. Consider all interfaces as one big specially designed
>interface with the software (linux) hiding the differences. So, as long
>as the software supports this concept it is correct IMHO.

This depends, as you say, on whether the IP kernel code can make it's
routing decisions based on interface name, rather than interface address.
I gather some can, and I gather it's a new thing.  Older (primarily
4.2/3BSD) code apparently couldn't.  I'm in the middle of rereading
Leffler & McKusick, I should have a better answer than that shortly.

Cheers,
-- jra
-- 
Jay R. Ashworth        High Technology Systems Comsulting             Ashworth
Designer              Linux: The Choice of a GNU Generation       & Associates
ka1fjx/4                                                  
[email-masked]   "Hey! Do any of you guys know how to Madison?"  813 790 7592

------------------------------

From: [email-masked] (Wai Long Fong)
Subject: source for rcs 5.6
Date: 23 Sep 1994 14:37:56 GMT

I am looking for source code of version control software such as the one
that comes with Slackware 2.0, rcs 5.6. Actually, source code for any
version control package will be alright. Thanks a lot in advance. 

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.development) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Development Digest
******************************